*-----------------------------------------------------------
* Title      : SP - MOVEM
* Written by : D.Karampatzakis
* Date       : Oct 2018
* Description: Initialize SP, Stack Push and Pop
*-----------------------------------------------------------
       
INITSP EQU    $07FEE ; Equate INITSP=$07FEE
       ORG    $400400
START  MOVE.L #1,D1
       MOVE.L #2,D2
       MOVE.L #3,D3
       MOVEA.L #$400400,A0  
       MOVEA.L #$400500,A1
       MOVEA   #INITSP,A7     ;Initialize SP
       MOVE.L  D1,-(A7) ;Push
       MOVEM.L D2-D3/A0-A1,-(A7) ;Multiple Push LIST MASK Predecrement Mode Addresses
                                 ; The order of transfer is A7 to A0, D7 to D0
       
       MOVEM.L (A7)+,D4/A3/A2/D7 ;Multiple Pop LIST MASK Postincrement Mode Addresses
                                 ;The order of transfer is D0 to D7, A0 to A7 
       MOVE.L (A7)+,D5 ;Pop last one
       END START












*~Font name~Courier New~
*~Font size~18~
*~Tab type~1~
*~Tab size~8~
